- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axis2_callback.h File Reference

`#include <axis2_defines.h>`
`#include <axutil_env.h>`
`#include <axis2_async_result.h>`
`#include <axiom_soap_envelope.h>`

Go to the source code of this file.

## Typedefs
typedef struct axis2_callback | axis2_callback_t
typedef axis2_status_t | axis2_on_complete_func_ptr (axis2_callback_t *, const axutil_env_t *)
typedef axis2_status_t | axis2_on_error_func_ptr (axis2_callback_t *, const axutil_env_t *, int)
## Functions
AXIS2_EXTERN axis2_status_t | axis2_callback_invoke_on_complete (axis2_callback_t *callback, const axutil_env_t *env, axis2_async_result_t *result)
AXIS2_EXTERN axis2_status_t | axis2_callback_report_error (axis2_callback_t *callback, const axutil_env_t *env, const int exception)
AXIS2_EXTERN axis2_bool_t | axis2_callback_get_complete (const axis2_callback_t *callback, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_callback_set_complete (axis2_callback_t *callback, const axutil_env_t *env, const axis2_bool_t complete)
AXIS2_EXTERN axiom_soap_envelope_t * | axis2_callback_get_envelope (const axis2_callback_t *callback, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_callback_set_envelope (axis2_callback_t *callback, const axutil_env_t *env, axiom_soap_envelope_t *envelope)
AXIS2_EXTERN int | axis2_callback_get_error (const axis2_callback_t *callback, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_callback_set_error (axis2_callback_t *callback, const axutil_env_t *env, const int error)
AXIS2_EXTERN axis2_status_t | axis2_callback_set_data (axis2_callback_t *callback, void *data)
AXIS2_EXTERN void * | axis2_callback_get_data (const axis2_callback_t *callback)
AXIS2_EXTERN void | axis2_callback_set_on_complete (axis2_callback_t *callback, axis2_on_complete_func_ptr f)
AXIS2_EXTERN void | axis2_callback_set_on_error (axis2_callback_t *callback, axis2_on_error_func_ptr f)
AXIS2_EXTERN void | axis2_callback_free (axis2_callback_t *callback, const axutil_env_t *env)
AXIS2_EXTERN axis2_callback_t * | axis2_callback_create (const axutil_env_t *env)

## Detailed Description